/* $AstecId$ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtFld_xtype.h	1.11    98/11/05 KL Group Inc.
 */

/*****************************************************************************
				XrtFld_xtype.h
*****************************************************************************/

#ifndef XRTFLD_XTYPES_H
#define XRTFLD_XTYPES_H

/* Xtypes that are declaired in XrtFld_xtype.c */

extern int		UxXT_XrtFldArrowType; /* pds */
extern int		UxXT_XrtFldCase;
extern int		UxXT_XrtFldDate;
extern int		UxXT_XrtFldDateIncrement;
extern int		UxXT_XrtFldDispScrollBar;
extern int		UxXT_XrtFldDouble;
extern int		UxXT_XrtFldError;
extern int		UxXT_XrtFldFieldType;
extern int		UxXT_XrtFldFormat;
extern int		UxXT_XrtFldMatchMask;
extern int	 	UxXT_XrtFldMenuAlignment; /* pds */
extern int		UxXT_XrtFldMultiTypeList;
extern int		UxXT_XrtFldNegFormat;
extern int		UxXT_XrtFldPixel;
extern int 		UxXT_XrtFldSearchPolicy; /* pds */
extern int		UxXT_XrtFldRange;
extern int		UxXT_XrtFldSpinArrowLayout;
extern int		UxXT_XrtFldSpinType;
extern int		UxXT_XrtFldStringTable;

extern int     UxXT_XrtFldFontList;
extern int     UxXT_XrtFldPopupType;
extern int     UxXT_XrtFldSpecialDays;
extern int     UxXT_XrtFldSpinPolicy;

/* XrtField Specific function pointers */

extern int		UxValuesOfXrtFldArrowType();
extern int		UxValuesOfXrtFldCase();
extern int		UxValuesOfXrtFldDate();
extern int		UxValuesOfXrtFldDateIncrement();
extern int		UxValuesOfXrtFldDispScrollBar();
extern int		UxValuesOfXrtFldDouble();
extern int		UxValuesOfXrtFldError();
extern int		UxValuesOfXrtFldFieldType();
extern int		UxValuesOfXrtFldFormat();
extern int		UxValuesOfXrtFldMatchMask();
extern int		UxValuesOfXrtFldMenuAlignment();
extern int		UxValuesOfXrtFldMultiTypeList();
extern int		UxValuesOfXrtFldNegFormat();
extern int		UxValuesOfXrtFldPixel();
extern int		UxValuesOfXrtFldRange();
extern int		UxValuesOfXrtFldSearchPolicy();
extern int		UxValuesOfXrtFldSpinArrowLayout();
extern int		UxValuesOfXrtFldSpinType();
extern int		UxValuesOfXrtFldStringTable();

extern int     UxValuesOfXrtFldPopupType();
extern int     UxValuesOfXrtFldSpecialDays();
extern int     UxValuesOfXrtFldSpinPolicy();
extern int     UxValuesOfXrtFldFontList();

extern int		UxValidateXrtFldArrowType();
extern int		UxValidateXrtFldCase();
extern int		UxValidateXrtFldDate();
extern int		UxValidateXrtFldDispScrollBar();
extern int		UxValidateXrtFldError();
extern int		UxValidateXrtFldFieldType();
extern int		UxValidateXrtFldFormat();
extern int		UxValidateXrtFldMatchMask();
extern int		UxValidateXrtFldMenuAlignment();
extern int		UxValidateXrtFldMultiTypeList();
extern int		UxValidateXrtFldNegFormat();
extern int		UxValidateXrtFldRange();
extern int		UxValidateXrtFldSearchPolicy();
extern int		UxValidateXrtFldSpinArrowLayout();
extern int		UxValidateXrtFldSpinType();

extern int		UxValidateXrtFldPopupType();
extern int		UxValidateXrtFldSpinPolicy();

#endif /* XRTFLD_XTYPES_H */

