/*------------------------------------------------------------------------------
 * $AstecId: kl_ds.h,v 1.10 2003/01/29 04:14:49 kosaka Exp $
 *          Copyright (c) 1992-1996, Visual Edge Software Ltd.
 *
 * ALL  RIGHTS  RESERVED.  Permission  to  use,  copy,  modify,  and
 * distribute  this  software  and its documentation for any purpose
 * and  without  fee  is  hereby  granted,  provided  that the above
 * copyright  notice  appear  in  all  copies  and  that  both  that
 * copyright  notice and this permission notice appear in supporting
 * documentation,  and that  the name of Visual Edge Software not be
 * used  in advertising  or publicity  pertaining to distribution of
 * the software without specific, written prior permission. The year
 * included in the notice is the year of the creation of the work.
 *----------------------------------------------------------------------------*/
#ifndef	_UX_KL_DS_H_
#define	_UX_KL_DS_H_
#ifdef	XOPEN_CATALOG
#include	"kl_msg.h"
#endif
#define	DS_MS_KL_BAD_XRT3D_CHILD		"\
1600 An Xrt3d widget only accepts\n\
Xrt3dText widgets as children."
#define	DS_MS_KL_BAD_XRTOUTLINER_CHILD	"\
1601 An XrtOutliner widget only accepts\n\
XrtColumn and XrtNodeStyle widgets as children."
#define	DS_MS_KL_BAD_XRT3DTEXT_PARENT	"\
1602 An Xrt3dText widget can only\n\
be a child of an Xrt3d widget."
#define	DS_MS_KL_BAD_XRTLABEL_PARENT	"\
1603 An XrtLabel widget can only\n\
be a child of an XrtTable widget."
#define	DS_MS_KL_BAD_XRTCOLUMN_PARENT	"\
1604 An XrtColumn widget can only\n\
be a child of an XrtOutliner widget."
#define	DS_MS_KL_BAD_XRTNODESTYLE_PARENT	"\
1605 An XrtNodeStyle widget can only\n\
be a child of an XrtOutliner widget."
#define	DS_MS_KL_BAD_XRTTABB_PARENT	"\
1606 An XrtTabB widget can only\n\
be a child of an XrtTabM widget."
#define DS_MS_KL_XRTHOME	"XRTHOME"
#define DS_MS_KL_VIEW_MULTI_COLUMN "View Multi-column:"
#define DS_MS_KL_CREATE_ITEM "Create Item:"
#define DS_MS_KL_FOLDER "Folder"
#define DS_MS_KL_SET_LABEL "Set Label:"
#define DS_MS_KL_ADD_ITEM "Add Item"
#define DS_MS_KL_DELETE_ITEM "Delete Item"
#define DS_MS_KL_OPEN_DATA_FILE "Open File"
#define DS_MS_KL_PB_HELP "Help"
#define DS_MS_KL_SERIES_MSG1 "XRT/table Series Editor"
#define DS_MS_KL_SERIES_MSG2 "It contains a 3-column table, in which:"
#define DS_MS_KL_SERIES_MSG3 "\
- the first and second columns allow you to set row/column elements of\n\
   series resource value"
#define DS_MS_KL_SERIES_MSG4 "\
- the third column allows to set the actual value of the resource"
#define DS_MS_KL_SERIES_MSG5 "\
The series editor implements a popup menu, with a list of the valid\n\
 entries for the current cell.  Use MB3 to activate the popup menu."
#define DS_MS_KL_SERIES_MSG6 "Popup menu items:"
#define DS_MS_KL_SERIES_MSG7 "\
- The first and second column of seriesEditor create a popup menu with\n\
 a list of predefined entries for row/column elements of the series\n\
 resource."
#define DS_MS_KL_SERIES_MSG8 "\
- A popup menu for the third column is created only for those series\n\
 resources which have a predefined set of valid entries (all enum types\n\
 + Boolean).  The entry list depends on the type of the series resource,\n\
 and is unique for each series type."
#define DS_MS_KL_SERIES_MSG9 "\
In addition, there are specialized resource editors available from\n\
 within SeriesEditor.  They are used to edit series resources whose type\n\
 is a color, font or pixmap. To popup these editors press '...' button."
#define DS_MS_KL_TREE_MSG1 "XRT Tree Editor"
#define DS_MS_KL_TREE_MSG2 "It allows you to:"
#define DS_MS_KL_TREE_MSG3 " *  Open and save tree data files"
#define DS_MS_KL_TREE_MSG4 "\
 *  Apply selected data file as xrtGearTreeData resource value in UIM/X"
#define DS_MS_KL_TREE_MSG5 " *  Create and edit tree data"
#define DS_MS_KL_TREE_MSG6 " *  View multicolumn data"
#define DS_MS_KL_TREE_MSG7 "To create an item in the tree:"
#define DS_MS_KL_TREE_MSG8 " *  Select item to create (Node/Folder)."
#define DS_MS_KL_TREE_MSG9 "\
 *  Set label. (Any text displayed in the text field at creation time\n\
    will be aplied as a label.)"
#define DS_MS_KL_TREE_MSG10 " *  Press Add Item to complete procedure."
#define DS_MS_KL_TREE_MSG11 "\
    Note: To create an item inside selected folder, that folder must be opened.\n\
     Otherwise, item is added to the end of the tree."
#define DS_MS_KL_TREE_MSG12 "To set label on an item:"
#define DS_MS_KL_TREE_MSG13 " *  Select item in the tree."
#define DS_MS_KL_TREE_MSG14 "\
 *  This will display label value in the text field."
#define DS_MS_KL_TREE_MSG15 "\
 *  Multicolumn labels are displayed as list of strings separated by ','."
#define DS_MS_KL_TREE_MSG16 "\
 *  Edit label value and press Return to apply changes."
#define DS_MS_KL_TREE_MSG17 "\
 *  There is also 'View Multi-column' option provided for your convenience."
#define DS_MS_KL_ROW "Row"
#define DS_MS_KL_COLUMN "Column"
#define DS_MS_KL_VALUE "Value"

#define DS_MS_KL_VALOF_3DCONTOURSTYLES "<XRT/3d contour styles file>"
#define DS_MS_KL_VALOF_3DDATA "<XRT/3d data file>"
#define DS_MS_KL_VALOF_3DDISTNTABLE "<XRT/3d distribution table data file>"
#define DS_MS_KL_VALOF_3DDOUBLE "<double floating point number>"
#define DS_MS_KL_VALOF_3DSTRING "\
<Strings example: \"(\\\"1st string\\\" \\\"2nd string\\\")\">"
#define DS_MS_KL_VALOF_3DTEXTLIST "\
<Textlist example: \"(\\\"text1\\\", \\\"text2\\\", \\\"text3\\\")\">"
#define DS_MS_KL_VALOF_3DVALUELABELS "\
<Value Labels example: \"((1.0 \\\"Lbl1\\\") (-2.4 \\\"Lbl2\\\"))\">"
#define DS_MS_KL_VALOF_3DXYCOLORS "\
<XY Colors example: \"((1 1 \\\"red\\\") (-1 5 \\\"#FF23AC\\\"))\">"

#define DS_MS_KL_VALOF_FLDDATE "<Date example: \"1995-04-12 15:54:39\">"
#define DS_MS_KL_VALOF_FLDDATEINCREMENT "\
<Date Increment example: \"01-00-00\">"
#define DS_MS_KL_VALOF_FLDDOUBLE "<double floating point number>"
#define DS_MS_KL_VALOF_FLDMULTITYPELIST "\
<list of strings, dates, ints, or floats>"
#define DS_MS_KL_VALOF_FLDPIXEL "\
<Pixel examples: \"#ffa023\" or \"blue\" or \"unchanged_color\">"
#define DS_MS_KL_VALOF_FLDSTRINGTABLE "\
<String List example: \"a comma,separated,list\">"

#define DS_MS_KL_VALOF_GEARMASK "<Mask file>"
#define DS_MS_KL_VALOF_GEARINDICATORPIXMAPLIST "\
<Indicator Pixmap List example: \"comma,separated,list\">"
#define DS_MS_KL_VALOF_GEARINDICATORMASKLIST "\
<Indicator Mask List example: \"comma,separated,list\">"
#define DS_MS_KL_VALOF_GEARPIXMAP "<Pixmap file>"
#define DS_MS_KL_VALOF_GEARSTRING "<Value of XrtGearString>"
#define DS_MS_KL_VALOF_GEARICON "<Icon file>"
#define DS_MS_KL_VALOF_GEARFOLDERSTATEMASK "<OR'ed list of defined values>"
#define DS_MS_KL_VALOF_GEARSELECTIONRESTRICTIONS "\
<OR'ed list of defined values>"
#define DS_MS_KL_VALOF_GEARPICKLISTINDEX "\
<The value must be less than the number of items\n\
supplied by resource xrtGearPickList_Combo>"
#define DS_MS_KL_VALOF_GEARPSFONTMAPLIST "\
<PS Font Map List example: \"(-*-helvetica-bold-o-*-*-*-*-*-*-*-*-iso8859-1,,Helvetica-Narrow-BoldOblique,0\">"

#define DS_MS_KL_VALOF_GPHFLOAT "<floating point number>"
#define DS_MS_KL_VALOF_GPHDATA "<XRT/graph data file>"
#define DS_MS_KL_VALOF_GPHDATASTYLE "\
<DataStyle example: \"(LpatDashDot FpatSolid \\\"red\\\" 2 PointBox \\\"blue\\\" 3)\">"
#define DS_MS_KL_VALOF_GPHDATASTYLES "\
<DataStyles example: \"((<datastyle1>) (<datastyle2>) ... )\">"
#define DS_MS_KL_VALOF_GPHSTRINGS "\
<Strings example: \"(\\\"1st string\\\" \\\"2nd string\\\")\">"
#define DS_MS_KL_VALOF_GPHVALUELABELS "\
<Value Labels example: \"((1.0 \\\"Lbl1\\\") (-2.4 \\\"Lbl2\\\"))\">"

#define DS_MS_KL_VALOF_TBLALIGNMENTSERIES "\
<Alignment Series example: \"(all 1 alignmentcenter)(3 label alignmentend)\">"
#define DS_MS_KL_VALOF_TBLBOOLEANSERIES "\
<Boolean Series example: \"(all 1 True)(3 label False)\">"
#define DS_MS_KL_VALOF_TBLBORDERSIDESSERIES "\
<BorderSides Series example: \"(all 1 borderside_top)(3 label borderside_top+borderside_left)\">"
#define DS_MS_KL_VALOF_TBLBORDERTYPESERIES "\
<BorderType Series example: \"(all 1 border_etched_out)(3 label border_none)\">"
#define DS_MS_KL_VALOF_TBLCASESERIES "\
<Case Series example: \"(all 1 case_upper)(3 label case_as_is)\">"
#define DS_MS_KL_VALOF_TBLCELLSIZESERIES "\
<CellSize Series example: \"(all 1 variable)(3 label 34)\">"
#define DS_MS_KL_VALOF_TBLCELLVALUES "<XRT/table cell values file>"
#define DS_MS_KL_VALOF_TBLCOLORSERIES "\
<Color Series example: \"(all 1 red)(3 label midnightblue)\">"
#define DS_MS_KL_VALOF_TBLCONTEXT "\
<Context examples: \"all 1\", \"3 label\", \"4 5\">"
#define DS_MS_KL_VALOF_TBLCURSOR "\
<Cursor examples: \"crosshair\", \"left_ptr\", \"gumby\">"
#define DS_MS_KL_VALOF_TBLDATATYPESERIES "\
<Data Type Series example: \"(all 1 type_string)(3 label type_int)\">"
#define DS_MS_KL_VALOF_TBLFONTLIST "<XmFontList>"
#define DS_MS_KL_VALOF_TBLFONTLISTSERIES "\
<FontList Series example: \"(all 1 fixed)(3 label 9x15)\">"
#define DS_MS_KL_VALOF_TBLINTSERIES "\
<Integer Series example: \"(all 1 23)(3 label 8)\">"
#define DS_MS_KL_VALOF_TBLOVERFLOWSERIES "\
<Overflow Series example: \"(all 1 overflow_horizontal)(3 label overflow_all)\">"
#define DS_MS_KL_VALOF_TBLPIXEL "<Pixel value>"
#define DS_MS_KL_VALOF_TBLPIXMAP "<Pixmap file>"
#define DS_MS_KL_VALOF_TBLPIXMAPLAYOUTSERIES "\
<Pixmap Layout Series example: \"(all 1 pixmap_topleft)(3 label pixmap_bottomcenter)\">"
#define DS_MS_KL_VALOF_TBLPSFONTMAPLIST "\
<PS Font Map List example: \"(-*-helvetica-bold-o-*-*-*-*-*-*-*-*-iso8859-1,,Helvetica-Narrow-BoldOblique,0\">"
#define DS_MS_KL_VALOF_TBLPIXMAPSERIES "\
<Pixmap Series example: \"(all 1 <pixmap_id>)(3 label <pixmap_id>)\">"
#define DS_MS_KL_VALOF_TBLRANGE "\
<Range examples: \"5 3-4\", \"0-2 3-5\", \"label all\">"
#define DS_MS_KL_VALOF_TBLRANGELIST "\
<Range List example: \"(1-2 all)(3-5 0-2)(3 label)\">"
#define DS_MS_KL_VALOF_TBLSTRINGSERIES "\
<String Series example: \"(all 1 1st string)(3 label 2nd string)\">"
#define DS_MS_KL_VALOF_TBLSTRINGTABLE "\
<String Table example: \"a comma,separated,list\">"
#define DS_MS_KL_VALOF_TBLWIDGETSERIES "\
<Widget Series example: \"(all 1 XmPushButton.mybutton)(3 label XmForm)\">"
#define DS_MS_KL_VALOF_TBLSTRINGLIST "\
<XmStringList example: \"1st string,2nd string has\ntwo lines\">"

#define DS_MS_KL_PRINT_WIDGET_SNAPSHOT "Print Widget Snapshot"
#define DS_MS_KL_PRINT_WIDGET_SNAPSHOT_M "n"
#define DS_MS_KL_SNAPSHOT_WARNING "Snapshot Warning: No Interface selected\n"
#define DS_MS_KL_VALOF_3DDATASTYLES "<DataStyles example: \"(((<lineStyle1> <symbolStyle1>)) ((<lineStyle2> ...) ... )\">"
#define DS_MS_KL_VAOF_3DIMAGE "<Image file name>"
#define DS_MS_KL_VAOF_3DLINESTYPE "<Line Style Example: \"((LpatDashDot \\\"red\\\" 2) (...) ...)\">"
#define DS_MS_KL_VAOF_FLDSPECIALDAYS "<Example: \"((SPECIAL_DAY_BY_DATE 26 0 0 11 XRTCALENDAR_ALL) (...) ...)\""
#define DS_MS_KL_VAOF_GPHIMAGE "<Image file name>"
#define DS_MS_KL_VAOF_TBLCURRENCYPICKLIST "<CurrencyPickList example: \"12.99,+45.01,6.0\">"
#define DS_MS_KL_VAOF_TBLCURRENCYPICKLISTSERIES "<CurrencyPickListSeries example: \"(all 1 12.99,+45.01,6.0) (...) ...\">"
#define DS_MS_KL_VAOF_TBLDATEPICKLIST "<DatePickList example: \"NOW,TODAY,1999-01-01 01:01:01\">"
#define DS_MS_KL_VAOF_TBLDATEPICKLISTSERIES "<DatePickListSeries example: \"(all 1 NOW,TODAY,1999-01-01 01:01:01) (...) ...\">"
#define DS_MS_KL_VAOF_TBLFLOATPICKLIST "<FloatPickList example: \"12.986,+45.01,6.8733e3\">"
#define DS_MS_KL_VAOF_TBLFLOATPICKLISTSERIES "<FloatPickListSeries example: \"(all 1 12.986,+45.01,6.8733e3) (...) ...\">"
#define DS_MS_KL_VAOF_TBLINTPICKLIST "<IntPickList example: \"1,3,5,7\">"
#define DS_MS_KL_VAOF_TBLINTPICKLISTSERIES "<IntPickListSeries example: \"(all 1 1,3,5,7) (...) ...\">" 
#define DS_MS_KL_VAOF_TBLSTRINGPICKLIST "<StringPickList example: \"item1,item2,item3\">"
#define DS_MS_KL_VAOF_TBLSTRINGPICKLISTSERIES "<StringPickListSeries example: \"(all 1 list,of,values) (...) ...\">"

#define DS_MS_KL_VALOF_GADOUBLE "<double floating point number>"
#define DS_MS_KL_VALOF_GAIMAGE "<Image file name>"
#define DS_MS_KL_BAD_XRTGACENTER_PARENT "XrtGaCenter can only be the child of \nan XrtCircularGauge widget."
#define DS_MS_KL_BAD_XRTGACIRCULARSCALE_PARENT "XrtGaCircluarScale can only be the child of \nXrtGaCircularDial, XrtGaCircularGauge and XrtGaPercent widgets."
#define DS_MS_KL_BAD_XRTGACOUNTER_PARENT "XrtGaCounter can only be the child of \nXrtGaCircularDial and XrtGaCircularGauge widgets."
#define DS_MS_KL_BAD_XRTGAFRAME_PARENT "XrtGaFrame can only be the child of XrtGaCircularDial, \nXrtGaCircularGauge, XrtGaLinearDial, XrtGaLinearGauge and \nXrtGaPercent widgets."
#define DS_MS_KL_BAD_XRTGAICON_PARENT "XrtGaIcon can only be the child of \nan XrtGaLEDIcon widget."
#define DS_MS_KL_BAD_XRTGAINDICATOR_PARENT "XrtGaItem can only be the child of \nan XrtGaPercent widget."
#define DS_MS_KL_BAD_XRTGAITEM_PARENT "XrtGaIndicator can only be the child of \nXrtGaLinearDial and XrtGaLinearGauge widgets."
#define DS_MS_KL_BAD_XRTGALINEARSCALE_PARENT "XrtGaLinearScale can only be the child of \nXrtGaLinearDial, XrtGaLinearGauge and XrtGaPercent widgets."
#define DS_MS_KL_BAD_XRTGAMARKER_PARENT "XrtGaMarker can only be the child of \nan XrtGaCircularDial widget."
#define DS_MS_KL_BAD_XRTGANEEDLE_PARENT "XrtGaNeedle can only be the child of \nan XrtGaCircularGauge widget."
#define DS_MS_KL_BAD_XRTGARANGE_PARENT "XrtGaRange can only be the child of XrtGaCircularDial,\nXrtGaCircularGauge and XrtGaLinearGauge widgets."
#define DS_MS_KL_BAD_XRTGASTATE_PARENT "XrtGaState can only be the child of an XrtGaCircularDial widget."
#define DS_MS_KL_BAD_XRTGASWITCH_PARENT "XrtGaSwitch can only be the child of \nan XrtGaCircularDial widget."
#define DS_MS_KL_BAD_XRTGATEXT_PARENT "XrtGaText can only be the child of XrtGaCircularDial,\nXrtGaCircularGauge, XrtGaLinearDial, XrtGaLinearGauge and \nXrtGaPercent widgets."
#define DS_MS_KL_BAD_XRTGATICK_PARENT "XrtGaTick can only be the child of \nXrtGaCircularDial, XrtGaCircularGauge, \nXrtGaLinearDial and XrtGaLinearGauge widgets."

#endif
