/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtCurrencyField.h	1.5    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtCurrencyField.h
******************************************************************************/

#ifndef UXXRTCURRENCYFIELD_INCLUDED
#define UXXRTCURRENCYFIELD_INCLUDED

#include <Xm/XrtField.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtFloatField.h"
#include "UxXrtCurrencyField.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtCurrencyField;

/* Design-time create macro */
#ifndef UxCreateXrtCurrencyField
#define UxCreateXrtCurrencyField(name, parent) \
	UxCreateSwidget(UxC_XrtCurrencyField, name, parent)
#endif

#else /* Not DESIGN_TIME */

/* Runtime create macro */
#ifndef UxCreateXrtCurrencyField
#define UxCreateXrtCurrencyField(name, parent) \
	UxCreateSwidget(name, xmXrtCurrencyFieldWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTCURRENCYFIELD_INCLUDED */

/***END*OF*FILE***************************************************************/
